Bug 818017 - the description of dm-thin-pool module is not clear
the description of dm-thin-pool module is not clear
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 23:00 EDT by Xiaowei Li
Modified: 2015-01-26 19:10 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 12:56:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaowei Li 2012-05-01 23:00:49 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
# modinfo dm-thin-pool
filename:       /lib/modules/3.3.0-1.fc17.x86_64/kernel/drivers/md/dm-thin-pool.ko
license:        GPL
author:         Joe Thornber <dm-devel@redhat.com>
description:    device-mapperdevice-mapper thin provisioning target
depends:        dm-persistent-data
intree:         Y
vermagic:       3.3.0-1.fc17.x86_64 SMP mod_unload 
2.
3.
  
Actual results:
device-mapperdevice-mapper thin provisioning target

Expected results:
device-mapper thin provisioning target


Additional info:
Comment 1 Alasdair Kergon 2012-05-02 08:43:18 EDT
Well spotted!  Amazing I missed that!

Will fix it in the upstream kernel.  I don't think it's worth doing a special patch for Fedora, but it should hopefully work its way through when the Fedora kernel gets updated later.
Comment 2 Alasdair Kergon 2012-05-02 11:31:14 EDT
Patch done.  It will work its way through the system in due course.
Comment 3 Josh Boyer 2012-08-10 12:56:05 EDT
This was fixed with

commit 7cab8bf1601d38fd73a0a4ea40cc4892b26907cc
Author: Alasdair G Kergon <agk@redhat.com>
Date:   Sat May 12 01:43:19 2012 +0100

    dm thin: correct module description

which was in 3.4.

Note You need to log in before you can comment on or make changes to this bug.